INTERFACE
SUBROUTINE SUPTRGPPC(KGPPC,KGPPCO_Y,KGPPCO_RR,KGPPCO_GL,KGPPCO_GM,KGPPCO_WW,&
 & KGPPCF_U ,KGPPCF_V,KGPPCF_T,KGPPCF_PD,KGPPCF_VD,KGPPCF_SP,&
 & KGPPCF_CP,KGPPCF_CPSI,&
 & KGPPCF_NHX,KGPPCF_UP,KGPPCF_VP,KGPPCF_TP,KGPPCF_GFLP,KGPPCF_BBC,&
 & KFGPPC) 
USE PARKIND1 , ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPC
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCO_Y
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCO_RR
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCO_GL
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCO_GM
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCO_WW
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCF_U
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCF_V
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCF_T
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCF_PD
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCF_VD
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCF_SP
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCF_CP
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCF_CPSI
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCF_NHX
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCF_UP
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCF_VP
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCF_TP
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCF_GFLP
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPPCF_BBC
INTEGER(KIND=JPIM),INTENT(OUT) :: KFGPPC
END SUBROUTINE SUPTRGPPC
END INTERFACE
